all : interrupt8.o interrupt8_asm.o

#interrupt8: interrupt8.o interrupt8_asm.o
#	$(LD) -Tls_interrupt8_small -o $@

interrupt8.o: interrupt8.c
	$(CC) -fno-stack-protector -fno-exceptions -O6 -fno-exceptions -fno-exceptions -fno-builtin -c $? -o $@ -Wno-long-long

interrupt8_asm.o: interrupt8.s
	$(CC) -fno-stack-protector -fno-exceptions -O6 -fno-exceptions -fno-exceptions -fno-builtin -c $? -o $@ -Wno-long-long

clean:
	#rm -f interrupt8
	rm -f interrupt8.o
	rm -f interrupt8_asm.o

	
